Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LogTrackPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.TrackEventPluginManager
              org.hyperic.hq.product.LogTrackPluginManager

    public class LogTrackPluginManager

extends TrackEventPluginManager

Field Summary
`static String` | `DEFAULT_PLATFORM_PLUGIN`

Fields inherited from class org.hyperic.hq.product.TrackEventPluginManager
`DEFAULT_INTERVAL, PROP_INTERVAL`

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`LogTrackPluginManager()`
`LogTrackPluginManager(Properties props)`

Method Summary
`LogTrackPlugin` | `getLogTrackPlugin(String name)`
`String` | `getName()`

Methods inherited from class org.hyperic.hq.product.TrackEventPluginManager
`addEventLogNotification, addFileWatcher, addRunnableTracker, closeEventLogs, getEvents, init, removeEventLogNotification, removeFileWatcher, removeRunnableTracker, reportEvent, shutdown`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PLATFORM_PLUGIN

    public static final String DEFAULT_PLATFORM_PLUGIN

See Also:
  Constant Field Values

Constructor Detail

### LogTrackPluginManager

    public LogTrackPluginManager()

### LogTrackPluginManager

    public LogTrackPluginManager(Properties props)

Method Detail

### getLogTrackPlugin

    public LogTrackPlugin getLogTrackPlugin(String name)

### getName

    public String getName()

  Specified by:
    `getName` in class `TrackEventPluginManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.